Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# TAO_PSDL_Member_List Class Reference

**************************************************************** More...

`#include <PSDL_Node.h>`

Inheritance diagram for TAO_PSDL_Member_List:

[legend]
Collaboration diagram for TAO_PSDL_Member_List:

[legend]
List of all members.

## Public Methods

| TAO_PSDL_Member_List (TAO_PSDL_Node *member)
| ****************************************************************
| TAO_PSDL_Member_List (TAO_PSDL_Node *member, TAO_PSDL_Node *member_list)
virtual | ~TAO_PSDL_Member_List (void)
TAO_PSDL_Node * | member (void) const
| Get the value.
TAO_PSDL_Node * | member_list (void) const
int | accept (TAO_PSDL_Node_Visitor *visitor)
| = The Node methods.

## Private Attributes

TAO_PSDL_Node * | member_
| The values.
TAO_PSDL_Node * | member_list_

## Detailed Description

****************************************************************

## Constructor & Destructor Documentation

TAO_PSDL_Member_List::TAO_PSDL_Member_List | ( | TAO_PSDL_Node * | member | ) |

| ****************************************************************

TAO_PSDL_Member_List::TAO_PSDL_Member_List | ( | TAO_PSDL_Node * | member,
|  | TAO_PSDL_Node * | member_list
| ) |

TAO_PSDL_Member_List::~TAO_PSDL_Member_List | ( | void |  | ) | `[virtual]`

## Member Function Documentation

int TAO_PSDL_Member_List::accept | ( | TAO_PSDL_Node_Visitor * | visitor | ) | `[virtual]`

| = The Node methods. Implements TAO_PSDL_Node.

TAO_PSDL_Node * TAO_PSDL_Member_List::member | ( | void |  | ) | const

| Get the value.

TAO_PSDL_Node * TAO_PSDL_Member_List::member_list | ( | void |  | ) | const

## Member Data Documentation

TAO_PSDL_Node* TAO_PSDL_Member_List::member_`[private]`

| The values.

TAO_PSDL_Node* TAO_PSDL_Member_List::member_list_`[private]`

The documentation for this class was generated from the following files:

- PSDL_Node.h
- PSDL_Node.cpp